#ifndef IMAGE_H
#define IMAGE_H

#include <vector>
#include <stack>


class ImageColor
{

  char   *data;
  int     width;
  int    height;
  int numpixels;
  
  int minX,minY,maxX,maxY;

  std::vector<int> bp;

  std::stack<int> pila;

  int n_pixels; 
  char line[100];
  int maxvalue;

 public:




/*--------------------------------------------
  @_Name: ImageColor  >>Constructor<<
  @_Date:24/02/2009
--------------------------------------------*/

  ImageColor();
  ImageColor(std::istream &file_in);

/*--------------------------------------------
  @_Name: ~ImageColor  >>Destructor<<
  @_Date:24/02/2009
  @_Description:
        This delete the "image" 
--------------------------------------------*/

  ~ImageColor();


/*--------------------------------------------
  @_Name: ImageColor  operator =   >>overloading<<
  @_Date:24/02/2009
  @_Description:
      This method is used to overload the = operator 
      for image class.
--------------------------------------------*/ 

  bool read_pgm(std::istream &file_in);
  void process_image(std::vector<std::string> &idx_box,int const Min_Box,int const k);
  void create_box(int p);
};



#endif //IMAGE_H
